@echo off

echo 复制文件或文件夹到当前文件夹（复制文件选择【1】，复制文件夹选择【2】）
set /p num=输入选择的数字:
if "%num%" == "1" goto 1
if "%num%" == "2" goto 2
if goto 3

:1
set /p a=文件名字:
set /p b=文件全后缀名（需要打上点“.”）:
set /p c=复制多少个文件:
set str1=%a%%b%
set str2=%a%%%i%b%
for /l %%i in (1,1,%c%) do (copy %str1% %str2%)
pause
goto end

:2
set /P dir1=需要复制的文件夹名:
set /p d=复制多少个文件:
set dir2=%dir1%%%i
for /l %%i in (1,1,%d%) do (xcopy %dir1% %dir2% /e /i /y)
pause
goto end

:3
echo 输入错误
choice /t 10 /d y
pause
goto end